Package wx :: Package py :: Module frame

[frames | no frames]

## Module wx.py.frame

Base frame with menu.

Classes
`EditStartupScriptDialog` |
`Frame` | Frame with standard menu items.
`ShellFrameMixin` | A mix-in class for frames that will have a Shell or a Crust window and that want to add history, startupScript and other common functionality.

Variable Summary
`str` | `__author__` = `"Patrick K. O'Brien <pobrien@orbtech.com>"`
`str` | `__cvsid__` = `'$Id: frame.py,v 1.12.2.1 2007/01/26 07:17:3...`
`str` | `__revision__` = `'1.12.2.1'`
`int` | `ID_ABOUT` = 5014
`int` | `ID_AUTO_SAVESETTINGS` = 117
`int` | `ID_AUTOCOMP` = 102
`int` | `ID_AUTOCOMP_DOUBLE` = 106
`int` | `ID_AUTOCOMP_MAGIC` = 104
`int` | `ID_AUTOCOMP_SHOW` = 103
`int` | `ID_AUTOCOMP_SINGLE` = 105
`int` | `ID_CALLTIPS` = 107
`int` | `ID_CALLTIPS_INSERT` = 109
`int` | `ID_CALLTIPS_SHOW` = 108
`int` | `ID_CLEAR` = 5034
`int` | `ID_CLEARHISTORY` = 120
`int` | `ID_CLOSE` = 5001
`int` | `ID_COPY` = 5032
`int` | `ID_COPY_PLUS` = 110
`int` | `ID_CUT` = 5031
`int` | `ID_DELSETTINGSFILE` = 122
`int` | `ID_EDITSTARTUPSCRIPT` = 123
`int` | `ID_EMPTYBUFFER` = 100
`int` | `ID_EXECSTARTUPSCRIPT` = 124
`int` | `ID_EXIT` = 5006
`int` | `ID_FIND` = 5035
`int` | `ID_FINDNEXT` = 127
`int` | `ID_HELP` = 101
`int` | `ID_NAMESPACE` = 111
`int` | `ID_NEW` = 5002
`int` | `ID_OPEN` = 5000
`int` | `ID_PASTE` = 5033
`int` | `ID_PASTE_PLUS` = 112
`int` | `ID_PRINT` = 5010
`int` | `ID_REDO` = 5008
`int` | `ID_REVERT` = 5005
`int` | `ID_SAVE` = 5003
`int` | `ID_SAVEAS` = 5004
`int` | `ID_SAVEHISTORY` = 118
`int` | `ID_SAVEHISTORYNOW` = 119
`int` | `ID_SAVESETTINGS` = 121
`int` | `ID_SELECTALL` = 5037
`int` | `ID_SETTINGS` = 126
`int` | `ID_SHOW_LINENUMBERS` = 116
`int` | `ID_SHOWTOOLS` = 128
`int` | `ID_STARTUP` = 125
`int` | `ID_TOGGLE_MAXIMIZE` = 114
`int` | `ID_UNDO` = 5007
`int` | `ID_USEAA` = 115
`int` | `ID_WRAP` = 113

Variable Details

### __author__

  Type:
    `str`
  Value:

        "Patrick K. O'Brien <pobrien@orbtech.com>"

### __cvsid__

  Type:
    `str`
  Value:

        '$Id: frame.py,v 1.12.2.1 2007/01/26 07:17:30 RD Exp $'

### __revision__

  Type:
    `str`
  Value:

        '1.12.2.1'

### ID_ABOUT

  Type:
    `int`
  Value:

        5014

### ID_AUTO_SAVESETTINGS

  Type:
    `int`
  Value:

        117

### ID_AUTOCOMP

  Type:
    `int`
  Value:

        102

### ID_AUTOCOMP_DOUBLE

  Type:
    `int`
  Value:

        106

### ID_AUTOCOMP_MAGIC

  Type:
    `int`
  Value:

        104

### ID_AUTOCOMP_SHOW

  Type:
    `int`
  Value:

        103

### ID_AUTOCOMP_SINGLE

  Type:
    `int`
  Value:

        105

### ID_CALLTIPS

  Type:
    `int`
  Value:

        107

### ID_CALLTIPS_INSERT

  Type:
    `int`
  Value:

        109

### ID_CALLTIPS_SHOW

  Type:
    `int`
  Value:

        108

### ID_CLEAR

  Type:
    `int`
  Value:

        5034

### ID_CLEARHISTORY

  Type:
    `int`
  Value:

        120

### ID_CLOSE

  Type:
    `int`
  Value:

        5001

### ID_COPY

  Type:
    `int`
  Value:

        5032

### ID_COPY_PLUS

  Type:
    `int`
  Value:

        110

### ID_CUT

  Type:
    `int`
  Value:

        5031

### ID_DELSETTINGSFILE

  Type:
    `int`
  Value:

        122

### ID_EDITSTARTUPSCRIPT

  Type:
    `int`
  Value:

        123

### ID_EMPTYBUFFER

  Type:
    `int`
  Value:

        100

### ID_EXECSTARTUPSCRIPT

  Type:
    `int`
  Value:

        124

### ID_EXIT

  Type:
    `int`
  Value:

        5006

### ID_FIND

  Type:
    `int`
  Value:

        5035

### ID_FINDNEXT

  Type:
    `int`
  Value:

        127

### ID_HELP

  Type:
    `int`
  Value:

        101

### ID_NAMESPACE

  Type:
    `int`
  Value:

        111

### ID_NEW

  Type:
    `int`
  Value:

        5002

### ID_OPEN

  Type:
    `int`
  Value:

        5000

### ID_PASTE

  Type:
    `int`
  Value:

        5033

### ID_PASTE_PLUS

  Type:
    `int`
  Value:

        112

### ID_PRINT

  Type:
    `int`
  Value:

        5010

### ID_REDO

  Type:
    `int`
  Value:

        5008

### ID_REVERT

  Type:
    `int`
  Value:

        5005

### ID_SAVE

  Type:
    `int`
  Value:

        5003

### ID_SAVEAS

  Type:
    `int`
  Value:

        5004

### ID_SAVEHISTORY

  Type:
    `int`
  Value:

        118

### ID_SAVEHISTORYNOW

  Type:
    `int`
  Value:

        119

### ID_SAVESETTINGS

  Type:
    `int`
  Value:

        121

### ID_SELECTALL

  Type:
    `int`
  Value:

        5037

### ID_SETTINGS

  Type:
    `int`
  Value:

        126

### ID_SHOW_LINENUMBERS

  Type:
    `int`
  Value:

        116

### ID_SHOWTOOLS

  Type:
    `int`
  Value:

        128

### ID_STARTUP

  Type:
    `int`
  Value:

        125

### ID_TOGGLE_MAXIMIZE

  Type:
    `int`
  Value:

        114

### ID_UNDO

  Type:
    `int`
  Value:

        5007

### ID_USEAA

  Type:
    `int`
  Value:

        115

### ID_WRAP

  Type:
    `int`
  Value:

        113

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:27 2007 | http://epydoc.sf.net